- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QDecoration Class Reference

Search for all occurrences

## Detailed Description

Definition at line 71 of file qdecoration_qws.h.

`#include <qdecoration_qws.h>`

Inheritance diagram for QDecoration:
[legend]

List of all members.

## Public Types
enum | DecorationRegion { None = 0x0000000000, All = 0x7fffffff, TopLeft = 0x0000000001, Top = 0x0000000002, TopRight = 0x0000000004, Left = 0x0000000008, Right = 0x0000000010, BottomLeft = 0x0000000020, Bottom = 0x0000000040, BottomRight = 0x0000000080, Borders = 0x00000000ff, Menu = 0x0000000100, Title = 0x0000000200, Help = 0x0000000400, Minimize = 0x0000000800, Maximize = 0x0000001000, Normalize = 0x0000002000, Close = 0x0000004000, Move = 0x0000008000, Resize = 0x0000010000 }
enum | DecorationState { Normal = 0x04, Disabled = 0x08, Hover = 0x01, Pressed = 0x02 }
## Public Member Functions
| QDecoration ()
virtual | ~QDecoration ()
virtual QRegion | region (const QWidget *w, const QRect &rect, int decorationRegion=All)=0
QRegion | region (const QWidget *w, int decorationRegion=All)
virtual int | regionAt (const QWidget *w, const QPoint &point)
virtual void | regionClicked (QWidget *widget, int region)
virtual void | regionDoubleClicked (QWidget *widget, int region)
virtual void | buildSysMenu (QWidget *widget, QMenu *menu)
void | menuTriggered (QWidget *widget, QAction *action)
virtual bool | paint (QPainter *p, const QWidget *w, int decorationRegion=All, DecorationState state=Normal)=0
## Static Public Member Functions
static void | startMove (QWidget *widget)
static void | startResize (QWidget *widget)

## Member Enumeration Documentation

enum DecorationRegion

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  All | Search for all occurrences
  TopLeft | Search for all occurrences
  Top | Search for all occurrences
  TopRight | Search for all occurrences
  Left | Search for all occurrences
  Right | Search for all occurrences
  BottomLeft | Search for all occurrences
  Bottom | Search for all occurrences
  BottomRight | Search for all occurrences
  Borders | Search for all occurrences
  Menu | Search for all occurrences
  Title | Search for all occurrences
  Help | Search for all occurrences
  Minimize | Search for all occurrences
  Maximize | Search for all occurrences
  Normalize | Search for all occurrences
  Close | Search for all occurrences
  Move | Search for all occurrences
  Resize | Search for all occurrences

Definition at line 87 of file qdecoration_qws.h.

                              {
            None        = 0x0000000000, All      = 0x7fffffff,
            TopLeft     = 0x0000000001, Top      = 0x0000000002, TopRight    = 0x0000000004,
            Left        = 0x0000000008,                          Right       = 0x0000000010,
            BottomLeft  = 0x0000000020, Bottom   = 0x0000000040, BottomRight = 0x0000000080,
            Borders     = 0x00000000ff,
            Menu        = 0x0000000100, Title    = 0x0000000200, Help        = 0x0000000400,
            Minimize    = 0x0000000800, Maximize = 0x0000001000, Normalize   = 0x0000002000,
            Close       = 0x0000004000, Move     = 0x0000008000, Resize      = 0x0000010000
        };

enum DecorationState

Search for all occurrences

Enumerator:

  Normal | Search for all occurrences
  Disabled | Search for all occurrences
  Hover | Search for all occurrences
  Pressed | Search for all occurrences

Definition at line 98 of file qdecoration_qws.h.

    { Normal = 0x04, Disabled = 0x08, Hover = 0x01, Pressed = 0x02 };

## Constructor & Destructor Documentation

QDecoration | ( |  | ) | `[inline]`

Definition at line 74 of file qdecoration_qws.h.

    {}

virtual ~QDecoration | ( |  | ) | `[inline, virtual]`

Definition at line 75 of file qdecoration_qws.h.

    {}

## Member Function Documentation

virtual QRegion region | ( | const QWidget * | w,
|  | const QRect & | rect,
|  | int | decorationRegion = `All`
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QDecorationDefault, QDecorationStyled, and QDecorationWindows.

QRegion region | ( | const QWidget * | w,
|  | int | decorationRegion = `All`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 101 of file qdecoration_qws.h.

        { return region(w, w->rect(), decorationRegion); }

virtual int regionAt | ( | const QWidget * | w,
|  | const QPoint & | point
| ) |  | `[virtual]`

Search for all occurrences

virtual void regionClicked | ( | QWidget * | widget,
|  | int | region
| ) |  | `[virtual]`

Search for all occurrences

virtual void regionDoubleClicked | ( | QWidget * | widget,
|  | int | region
| ) |  | `[virtual]`

Search for all occurrences

virtual void buildSysMenu | ( | QWidget * | widget,
|  | QMenu * | menu
| ) |  | `[virtual]`

Search for all occurrences

void menuTriggered | ( | QWidget * | widget,
|  | QAction * | action
| ) |  |

Search for all occurrences

static void startMove | ( | QWidget * | widget | ) | `[static]`

Search for all occurrences

static void startResize | ( | QWidget * | widget | ) | `[static]`

Search for all occurrences

virtual bool paint | ( | QPainter * | p,
|  | const QWidget * | w,
|  | int | decorationRegion = `All`,
|  | DecorationState | state = `Normal`
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QDecorationDefault, QDecorationStyled, and QDecorationWindows.

The documentation for this class was generated from the following file:

- QtGui/qdecoration_qws.h

QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration
QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration QDecoration